Bug 186879

Summary: [PATCH] textproc/rarian: De-bashify
Product: Ports & Packages Reporter: christian.mangin
Component: Individual Port(s)Assignee: Mateusz Piotrowski <0mp>
Status: Closed Not Accepted    
Severity: Affects Only Me CC: 0mp, ajacoutot, bapt, jan.kokemueller, w.schwarzenfeld
Priority: Normal Keywords: patch-ready
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch.rarian
none
Patch to remove bash dependency from rarian
none
svn-diff-rarian none

Description christian.mangin 2014-02-18 21:10:00 UTC
	Mercilessly de-bashify textproc/rarian.	

	4 scripts are affected:

	rarian-sk-config
	rarian-sk-extract
	rarian-sk-rebuild
	rarian-sk-update	

	The changes in the first 3 are quite trivial. The last one needed 
	some work but that turned out to be totally pointless as the script 
	does absolutely nothing useful.

	With this patch, the dependency to shells/bash is no longer required.

Fix: Patch attached.
Comment 1 Edwin Groothuis freebsd_committer 2014-02-18 21:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Baptiste Daroussin freebsd_committer 2014-11-09 22:58:06 UTC
I have missed a bit of some bashism like: #0:@:
Second it will be a good idea to upstream that first
Comment 3 christian.mangin 2014-11-10 02:29:20 UTC
Created attachment 149235 [details]
Patch to remove bash dependency from rarian

Thank you for looking at this patch :)

I've updated the patch to apply against the current version in ports.

As a remark the expression ${x##0:@:} _is_ compatible with sh. It's just a parameter expansion to remove the prefix '0:@:' from the value of the variable $x. I dont think '@' has any special meaning in this case. 

But don't spend too much time on that since the scripts:

- rarian-sk-rebuild
- rarian-sk-update

are complete no-ops. They don't do anything. Zero. Nothing.
They're just there for decoration it seems. 

But they do depend on bash.

As for the 2 other scripts:

- rarian-sk-config doesn't do much. It just print directories. 
- rarian-sk-extract is just a simple wrapper around xsltproc. 

In both case the switch to sh is trivial.

So all in all, rarian depends on bash for very little reasons.

Please note that upstream seems dormant since 2008. It looks that no bug 
reports have been processed in the last 6 years.
Comment 4 Walter Schwarzenfeld freebsd_triage 2018-01-10 21:49:25 UTC
No reply since 2014-11-10. Could this closed?
Comment 5 Jan Kokemüller 2018-01-11 02:35:03 UTC
It would be great if rarian could drop its bash dependency. It is the only reason bash gets installed on my machine.

There has been no upstream release for more than 9 years. I don't think it is maintained anymore. However, rarian still is used by some gnome2/mate related doc packages and gets drawn in when installing Gimp or Gnumeric, for example.

The patches converting the scripts to sh worked fine at the time this bug was opened. There haven't been too many changes to the port since, so I guess they'll still work. I'll try to apply the patch and post an updated version.
Comment 6 Walter Schwarzenfeld freebsd_triage 2018-01-11 03:58:17 UTC
Created attachment 189604 [details]
svn-diff-rarian
Comment 7 Walter Schwarzenfeld freebsd_triage 2018-01-11 03:59:53 UTC
Maintainer feedback? (It is the question if it is a maintainer timeout).
Add svn-diff.

(Also think we don't need herre bash dependency).
Comment 8 Mateusz Piotrowski freebsd_committer 2020-10-04 21:42:31 UTC
I'll take a look.
Comment 9 Mateusz Piotrowski freebsd_committer 2020-10-09 21:30:00 UTC
I've given it a shot, but it is just too much work to really remove Bash dependency and keep the functionality of the port.

checkbashisms reports a lot of problems even after applying the submitted patch.

If you're still interested, I'm happy to integrate your patches here: https://github.com/0mp/rarian/. This might make them easier to handle.

I'm closing the PR for now. Please let us know if you'd like to work on this.
Comment 10 Mateusz Piotrowski freebsd_committer 2020-10-09 21:33:25 UTC
The branch which attempts to remove Bash is here: https://github.com/0mp/rarian/tree/bashisms